using LitJson;

public class UserAchievement : HeaderData
{
	public int achievement_type;

	public int achievement_status;

	public int level;

	public int _maxLevel;

	public int total_count;

	public string achievement_title;

	public string achievement_name;

	public int require_number;

	public string reward_name;

	public int reward_type;

	public int reward_number;

	public string reward_detail;

	public string achieved_message;

	public string create_time;

	public string update_time;

	public string delete_time;

	public string affected_rows;

	private const string OS_ID = null;

	public long RewardUserGoodsId { get; set; }

	public string OsId { get; private set; }

	public static UserAchievement CreateCompletedAchievement(JsonData data)
	{
		UserAchievement userAchievement = new UserAchievement();
		userAchievement.achieved_message = data["achieved_message"].ToString();
		if (!string.IsNullOrEmpty(null) && data[null] != null)
		{
			userAchievement.OsId = data[null].ToString();
		}
		return userAchievement;
	}
}
